/////////////////////////////////////
// примеры для ws2812b-рисовалка
//Arduino UNO

#include "Adafruit_NeoPixel.h"

#define line_ 64 //число пикселей в ленте
uint8_t dataPin = 6;// вывод для подключения
Adafruit_NeoPixel strip = Adafruit_NeoPixel(line_,dataPin , NEO_GRB + NEO_KHZ800);// Создаем переменную strip для управления нашей лентой.
byte R=50;//
byte G=50;//
byte B=50;//
byte kartinka[line_];//массив хранения нарисованного одним цветом
///RGB
void setup() {
 Serial.begin(9600); 
 strip.begin();

 }
void loop() {
for ( int in = 0; in < line_; in++) {
for ( int i = 0; i < line_; i++) {if(kartinka[i]==1){strip.setPixelColor(i, 7, 1, 0);}else{strip.setPixelColor(i, 0, 0, 2);}}//вносим данные картинки для отрисовки  
strip.setPixelColor(in, R, G, B);// включаем белым сканирующий пиксель
strip.show();
delay(7);  
if(analogRead(A0)<100){kartinka[in]=!kartinka[in];}//если датчик приложен к пикселю меняем данные его цвета на противоположные
}
}
//////////////////////////////////////////////



